# setVariable | windmill-client
Documentation for windmill-client

# Function setVariable

- setVariable(path, value, isSecretIfNotExist?, descriptionIfNotExist?): Promise<void>

- Set a variable by path, create if not exist

  #### Parameters

  - path: string

    path of the variable

  - value: string

    value of the variable

  - `Optional` isSecretIfNotExist: boolean

    if the variable does not exist, create it as secret or not (default: false)

  - `Optional` descriptionIfNotExist: string

    if the variable does not exist, create it with this description (default: "")

  #### Returns Promise<void>

  - Defined in src/client.ts:438